import os
import shutil

def clear_pycache(start_path='.'):
    for root, dirs, files in os.walk(start_path):
        for dir_name in dirs:
            if dir_name == '__pycache__':
                full_path = os.path.join(root, dir_name)
                print(f"Deleating: {full_path}")
                shutil.rmtree(full_path)

# Function call
clear_pycache()
